<!DOCTYPE html>
<html>
<head lang="en">
    <include file="appapi@head"/>
	<link type="text/css" rel="stylesheet" href="__STATIC__/appapi/css/charge.css"/> 
    <title>{:lang('RECHARGE_DETAILS')}</title>

</head>
<body>
    <div id="box">
        <div class="list" id="list">
            <ul>
                <volist name="list" id="v">
                <li>
                    <div class="list_l">
                        <p>{$configpub['name_coin']}{:lang('RECHARGE')}</p>
                        <p class="money"><span>{$v['addtime']}</span></p>
                    </div>
                    <div class="list_r">
                        <p><span><img class="coin" src="__STATIC__/appapi/images/coin.png"></span> <span class="coin_num">{$v['coin']}</span></p>
                        <p>{:lang('￥')}{$v['money']}</p>
                    </div>
                </li>
                </volist>
            </ul>
        </div>
    </div>
	<include file="appapi@footer"/>
	<script>
        var name_coin='{$configpub['name_coin']}';
	$(function(){
		function getlistmore(){
			$.ajax({
				url:'/appapi/charge/getlistmore',
				data:{'page':page,'uid':uid,'token':token,'language':language_type},
				type:'post',
				dataType:'json',
				success:function(data){
					if(data.nums>0){
                        var nums=data.nums;
                        var list=data.data;
                        var html='';
                        for(var i=0;i<nums;i++){
                            var v=list[i];
                            html='<li>\
                                    <div class="list_l">\
                                        <p><span><img class="coin" src="__STATIC__/appapi/images/coin.png"></span>'+v['votes']+'}</p>\
                                        <p class="money"><span>'+LangT('AMOUNT')+':</span>'+v['money']+'}</p>\
                                    </div>\
                                    <div class="list_r">\
                                        <p>'+v['status_name']+'}</p>\
                                        <p>'+v['addtime']+'}</p>\
                                    </div>\
                                </li>';

                            html='<li>\
                                <div class="list_l">\
                                    <p>'+name_coin+LangT('RECHARGE')+'</p>\
                                    <p class="money"><span>'+v['addtime']+'</span></p>\
                                </div>\
                                <div class="list_r">\
                                    <p><span><img class="coin" src="__STATIC__/appapi/images/coin.png"></span> <span class="coin_num">'+v['coin']+'</span></p>\
                                    <p>'+LangT('￥')+v['money']+'</p>\
                                </div>\
                            </li>';
                        }
						
						$(".list ul").append(html);
					}
					
					if(data.isscroll==1){
						page++;
						isscroll=true;
					}
				}
			})
		}

		var page=2; 
		var isscroll=true; 
        
        var scroll_list=$("body");

		scroll_list.scroll(function(){
  
            var srollPos = scroll_list.scrollTop();    //滚动条距顶部距离(页面超出窗口的高度)  	

            //console.log('srollPos'+srollPos);	
            var totalheight = parseFloat(scroll_list.height()) + parseFloat(srollPos);  
            //console.log('totalheight'+totalheight);

            if(($(document).height()-50) <= totalheight  && isscroll) {  
                    isscroll=false;
                    getlistmore();
            }  
		}); 

        


	})
	</script>	
</body>
</html>